Index: arch/amd64/include/drivers/i8254.h
===================================================================
--- arch/amd64/include/drivers/i8254.h	(revision 80d31883ee0e3c624c13423f1fb5d9f980422132)
+++ arch/amd64/include/drivers/i8254.h	(revision 80d31883ee0e3c624c13423f1fb5d9f980422132)
@@ -0,0 +1,1 @@
+../../../ia32/include/drivers/i8254.h
Index: arch/amd64/include/drivers/i8259.h
===================================================================
--- arch/amd64/include/drivers/i8259.h	(revision 80d31883ee0e3c624c13423f1fb5d9f980422132)
+++ arch/amd64/include/drivers/i8259.h	(revision 80d31883ee0e3c624c13423f1fb5d9f980422132)
@@ -0,0 +1,1 @@
+../../../ia32/include/drivers/i8259.h
Index: arch/amd64/include/drivers/vesa.h
===================================================================
--- arch/amd64/include/drivers/vesa.h	(revision 80d31883ee0e3c624c13423f1fb5d9f980422132)
+++ arch/amd64/include/drivers/vesa.h	(revision 80d31883ee0e3c624c13423f1fb5d9f980422132)
@@ -0,0 +1,37 @@
+/*
+ * Copyright (C) 2006-2006 Jakub Vana
+ * All rights reserved.
+ *
+ * Redistribution and use in source and binary forms, with or without
+ * modification, are permitted provided that the following conditions
+ * are met:
+ *
+ * - Redistributions of source code must retain the above copyright
+ *   notice, this list of conditions and the following disclaimer.
+ * - Redistributions in binary form must reproduce the above copyright
+ *   notice, this list of conditions and the following disclaimer in the
+ *   documentation and/or other materials provided with the distribution.
+ * - The name of the author may not be used to endorse or promote products
+ *   derived from this software without specific prior written permission.
+ *
+ * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
+ * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
+ * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+ * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
+ * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
+ * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+ * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+ * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+ * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
+ * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+ */
+
+#ifndef __VESA_H__
+#define __VESA_H__
+
+
+int vesa_present(void);
+void vesa_init(void);
+
+
+#endif
Index: ch/amd64/include/i8254.h
===================================================================
--- arch/amd64/include/i8254.h	(revision e7ed98680bd5e7de4b6d0a2a5bed181a601437e5)
+++ 	(revision )
@@ -1,1 +1,0 @@
-../../ia32/include/i8254.h
Index: ch/amd64/include/i8259.h
===================================================================
--- arch/amd64/include/i8259.h	(revision e7ed98680bd5e7de4b6d0a2a5bed181a601437e5)
+++ 	(revision )
@@ -1,1 +1,0 @@
-../../ia32/include/i8259.h
Index: ch/amd64/include/vesa.h
===================================================================
--- arch/amd64/include/vesa.h	(revision e7ed98680bd5e7de4b6d0a2a5bed181a601437e5)
+++ 	(revision )
@@ -1,40 +1,0 @@
-/*
- * Copyright (C) 2006-2006 Jakub Vana
- * All rights reserved.
- *
- * Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions
- * are met:
- *
- * - Redistributions of source code must retain the above copyright
- *   notice, this list of conditions and the following disclaimer.
- * - Redistributions in binary form must reproduce the above copyright
- *   notice, this list of conditions and the following disclaimer in the
- *   documentation and/or other materials provided with the distribution.
- * - The name of the author may not be used to endorse or promote products
- *   derived from this software without specific prior written permission.
- *
- * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
- * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
- * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
- * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
- * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
- * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
- * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
- * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
- * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
- * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
- */
-
-#ifndef __VESA_H__
-#define __VESA_H__
-
-
-int vesa_present(void);
-void vesa_init(void);
-
-
-#endif
-
-
-
Index: arch/amd64/src/amd64.c
===================================================================
--- arch/amd64/src/amd64.c	(revision e7ed98680bd5e7de4b6d0a2a5bed181a601437e5)
+++ arch/amd64/src/amd64.c	(revision 80d31883ee0e3c624c13423f1fb5d9f980422132)
@@ -35,8 +35,8 @@
 #include <proc/thread.h>
 #include <arch/drivers/ega.h>
-#include <arch/vesa.h>
+#include <arch/drivers/vesa.h>
 #include <genarch/i8042/i8042.h>
-#include <arch/i8254.h>
-#include <arch/i8259.h>
+#include <arch/drivers/i8254.h>
+#include <arch/drivers/i8259.h>
 
 #include <arch/bios/bios.h>
Index: arch/amd64/src/interrupt.c
===================================================================
--- arch/amd64/src/interrupt.c	(revision e7ed98680bd5e7de4b6d0a2a5bed181a601437e5)
+++ arch/amd64/src/interrupt.c	(revision 80d31883ee0e3c624c13423f1fb5d9f980422132)
@@ -31,5 +31,5 @@
 #include <debug.h>
 #include <panic.h>
-#include <arch/i8259.h>
+#include <arch/drivers/i8259.h>
 #include <func.h>
 #include <cpu.h>
Index: arch/ia32/include/drivers/i8254.h
===================================================================
--- arch/ia32/include/drivers/i8254.h	(revision 80d31883ee0e3c624c13423f1fb5d9f980422132)
+++ arch/ia32/include/drivers/i8254.h	(revision 80d31883ee0e3c624c13423f1fb5d9f980422132)
@@ -0,0 +1,38 @@
+/*
+ * Copyright (C) 2001-2004 Jakub Jermar
+ * All rights reserved.
+ *
+ * Redistribution and use in source and binary forms, with or without
+ * modification, are permitted provided that the following conditions
+ * are met:
+ *
+ * - Redistributions of source code must retain the above copyright
+ *   notice, this list of conditions and the following disclaimer.
+ * - Redistributions in binary form must reproduce the above copyright
+ *   notice, this list of conditions and the following disclaimer in the
+ *   documentation and/or other materials provided with the distribution.
+ * - The name of the author may not be used to endorse or promote products
+ *   derived from this software without specific prior written permission.
+ *
+ * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
+ * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
+ * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+ * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
+ * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
+ * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+ * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+ * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+ * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
+ * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+ */
+
+#ifndef __I8254_H__
+#define __I8254_H__
+
+#include <arch/types.h>
+
+extern void i8254_init(void);
+extern void i8254_calibrate_delay_loop(void);
+extern void i8254_normal_operation(void);
+
+#endif
Index: arch/ia32/include/drivers/i8259.h
===================================================================
--- arch/ia32/include/drivers/i8259.h	(revision 80d31883ee0e3c624c13423f1fb5d9f980422132)
+++ arch/ia32/include/drivers/i8259.h	(revision 80d31883ee0e3c624c13423f1fb5d9f980422132)
@@ -0,0 +1,48 @@
+/*
+ * Copyright (C) 2001-2004 Jakub Jermar
+ * All rights reserved.
+ *
+ * Redistribution and use in source and binary forms, with or without
+ * modification, are permitted provided that the following conditions
+ * are met:
+ *
+ * - Redistributions of source code must retain the above copyright
+ *   notice, this list of conditions and the following disclaimer.
+ * - Redistributions in binary form must reproduce the above copyright
+ *   notice, this list of conditions and the following disclaimer in the
+ *   documentation and/or other materials provided with the distribution.
+ * - The name of the author may not be used to endorse or promote products
+ *   derived from this software without specific prior written permission.
+ *
+ * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
+ * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
+ * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+ * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
+ * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
+ * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+ * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+ * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+ * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
+ * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+ */
+
+#ifndef __I8259_H__
+#define __I8259_H__
+
+#include <arch/types.h>
+#include <arch/interrupt.h>
+
+#define PIC_PIC0PORT1	0x20
+#define PIC_PIC0PORT2	0x21
+#define PIC_PIC1PORT1	0xa0
+#define PIC_PIC1PORT2	0xa1
+
+#define PIC_NEEDICW4	(1<<0)
+#define	PIC_ICW1	(1<<4)
+
+extern void i8259_init(void);
+extern void pic_enable_irqs(__u16 irqmask);
+extern void pic_disable_irqs(__u16 irqmask);
+extern void pic_eoi(void);
+
+#endif
Index: arch/ia32/include/drivers/vesa.h
===================================================================
--- arch/ia32/include/drivers/vesa.h	(revision 80d31883ee0e3c624c13423f1fb5d9f980422132)
+++ arch/ia32/include/drivers/vesa.h	(revision 80d31883ee0e3c624c13423f1fb5d9f980422132)
@@ -0,0 +1,35 @@
+/*
+ * Copyright (C) 2006 Jakub Vana
+ * All rights reserved.
+ *
+ * Redistribution and use in source and binary forms, with or without
+ * modification, are permitted provided that the following conditions
+ * are met:
+ *
+ * - Redistributions of source code must retain the above copyright
+ *   notice, this list of conditions and the following disclaimer.
+ * - Redistributions in binary form must reproduce the above copyright
+ *   notice, this list of conditions and the following disclaimer in the
+ *   documentation and/or other materials provided with the distribution.
+ * - The name of the author may not be used to endorse or promote products
+ *   derived from this software without specific prior written permission.
+ *
+ * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
+ * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
+ * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+ * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
+ * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
+ * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+ * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+ * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+ * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
+ * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+ */
+
+#ifndef __VESA_H__
+#define __VESA_H__
+
+extern int vesa_present(void);
+extern void vesa_init(void);
+
+#endif
Index: ch/ia32/include/i8254.h
===================================================================
--- arch/ia32/include/i8254.h	(revision e7ed98680bd5e7de4b6d0a2a5bed181a601437e5)
+++ 	(revision )
@@ -1,38 +1,0 @@
-/*
- * Copyright (C) 2001-2004 Jakub Jermar
- * All rights reserved.
- *
- * Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions
- * are met:
- *
- * - Redistributions of source code must retain the above copyright
- *   notice, this list of conditions and the following disclaimer.
- * - Redistributions in binary form must reproduce the above copyright
- *   notice, this list of conditions and the following disclaimer in the
- *   documentation and/or other materials provided with the distribution.
- * - The name of the author may not be used to endorse or promote products
- *   derived from this software without specific prior written permission.
- *
- * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
- * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
- * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
- * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
- * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
- * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
- * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
- * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
- * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
- * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
- */
-
-#ifndef __I8254_H__
-#define __I8254_H__
-
-#include <arch/types.h>
-
-extern void i8254_init(void);
-extern void i8254_calibrate_delay_loop(void);
-extern void i8254_normal_operation(void);
-
-#endif
Index: ch/ia32/include/i8259.h
===================================================================
--- arch/ia32/include/i8259.h	(revision e7ed98680bd5e7de4b6d0a2a5bed181a601437e5)
+++ 	(revision )
@@ -1,48 +1,0 @@
-/*
- * Copyright (C) 2001-2004 Jakub Jermar
- * All rights reserved.
- *
- * Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions
- * are met:
- *
- * - Redistributions of source code must retain the above copyright
- *   notice, this list of conditions and the following disclaimer.
- * - Redistributions in binary form must reproduce the above copyright
- *   notice, this list of conditions and the following disclaimer in the
- *   documentation and/or other materials provided with the distribution.
- * - The name of the author may not be used to endorse or promote products
- *   derived from this software without specific prior written permission.
- *
- * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
- * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
- * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
- * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
- * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
- * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
- * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
- * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
- * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
- * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
- */
-
-#ifndef __I8259_H__
-#define __I8259_H__
-
-#include <arch/types.h>
-#include <arch/interrupt.h>
-
-#define PIC_PIC0PORT1	0x20
-#define PIC_PIC0PORT2	0x21
-#define PIC_PIC1PORT1	0xa0
-#define PIC_PIC1PORT2	0xa1
-
-#define PIC_NEEDICW4	(1<<0)
-#define	PIC_ICW1	(1<<4)
-
-extern void i8259_init(void);
-extern void pic_enable_irqs(__u16 irqmask);
-extern void pic_disable_irqs(__u16 irqmask);
-extern void pic_eoi(void);
-
-#endif
Index: ch/ia32/include/vesa.h
===================================================================
--- arch/ia32/include/vesa.h	(revision e7ed98680bd5e7de4b6d0a2a5bed181a601437e5)
+++ 	(revision )
@@ -1,38 +1,0 @@
-/*
- * Copyright (C) 2006 Jakub Vana
- * All rights reserved.
- *
- * Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions
- * are met:
- *
- * - Redistributions of source code must retain the above copyright
- *   notice, this list of conditions and the following disclaimer.
- * - Redistributions in binary form must reproduce the above copyright
- *   notice, this list of conditions and the following disclaimer in the
- *   documentation and/or other materials provided with the distribution.
- * - The name of the author may not be used to endorse or promote products
- *   derived from this software without specific prior written permission.
- *
- * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
- * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
- * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
- * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
- * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
- * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
- * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
- * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
- * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
- * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
- */
-
-#ifndef __VESA_H__
-#define __VESA_H__
-
-extern int vesa_present(void);
-extern void vesa_init(void);
-
-#endif
-
-
-
Index: arch/ia32/src/drivers/i8254.c
===================================================================
--- arch/ia32/src/drivers/i8254.c	(revision e7ed98680bd5e7de4b6d0a2a5bed181a601437e5)
+++ arch/ia32/src/drivers/i8254.c	(revision 80d31883ee0e3c624c13423f1fb5d9f980422132)
@@ -31,6 +31,6 @@
 #include <time/delay.h>
 #include <arch/interrupt.h>
-#include <arch/i8259.h>
-#include <arch/i8254.h>
+#include <arch/drivers/i8259.h>
+#include <arch/drivers/i8254.h>
 #include <cpu.h>
 #include <config.h>
Index: arch/ia32/src/drivers/i8259.c
===================================================================
--- arch/ia32/src/drivers/i8259.c	(revision e7ed98680bd5e7de4b6d0a2a5bed181a601437e5)
+++ arch/ia32/src/drivers/i8259.c	(revision 80d31883ee0e3c624c13423f1fb5d9f980422132)
@@ -27,5 +27,5 @@
  */
 
-#include <arch/i8259.h>
+#include <arch/drivers/i8259.h>
 #include <cpu.h>
 #include <arch/types.h>
Index: arch/ia32/src/drivers/vesa.c
===================================================================
--- arch/ia32/src/drivers/vesa.c	(revision e7ed98680bd5e7de4b6d0a2a5bed181a601437e5)
+++ arch/ia32/src/drivers/vesa.c	(revision 80d31883ee0e3c624c13423f1fb5d9f980422132)
@@ -30,5 +30,5 @@
 
 #include <genarch/fb/fb.h>
-#include <arch/vesa.h>
+#include <arch/drivers/vesa.h>
 #include <putchar.h>
 #include <mm/page.h>
Index: arch/ia32/src/ia32.c
===================================================================
--- arch/ia32/src/ia32.c	(revision e7ed98680bd5e7de4b6d0a2a5bed181a601437e5)
+++ arch/ia32/src/ia32.c	(revision 80d31883ee0e3c624c13423f1fb5d9f980422132)
@@ -35,8 +35,8 @@
 
 #include <arch/drivers/ega.h>
-#include <arch/vesa.h>
+#include <arch/drivers/vesa.h>
 #include <genarch/i8042/i8042.h>
-#include <arch/i8254.h>
-#include <arch/i8259.h>
+#include <arch/drivers/i8254.h>
+#include <arch/drivers/i8259.h>
 
 #include <arch/context.h>
Index: arch/ia32/src/interrupt.c
===================================================================
--- arch/ia32/src/interrupt.c	(revision e7ed98680bd5e7de4b6d0a2a5bed181a601437e5)
+++ arch/ia32/src/interrupt.c	(revision 80d31883ee0e3c624c13423f1fb5d9f980422132)
@@ -32,5 +32,5 @@
 #include <debug.h>
 #include <panic.h>
-#include <arch/i8259.h>
+#include <arch/drivers/i8259.h>
 #include <func.h>
 #include <cpu.h>
Index: arch/ia32/src/smp/smp.c
===================================================================
--- arch/ia32/src/smp/smp.c	(revision e7ed98680bd5e7de4b6d0a2a5bed181a601437e5)
+++ arch/ia32/src/smp/smp.c	(revision 80d31883ee0e3c624c13423f1fb5d9f980422132)
@@ -48,5 +48,5 @@
 #include <print.h>
 #include <memstr.h>
-#include <arch/i8259.h>
+#include <arch/drivers/i8259.h>
 
 #ifdef CONFIG_SMP
